Skip to main content
Resource Center/Network Service/Network Service Operations
GETNetwork Service OperationsSince 0.6SynchronousAuth Required

QueryNetworkServiceL3NetworkRef

QueryNetworkServiceL3NetworkRef

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • l3NetworkUuidStringRequired

      The L3 network UUID.

    • networkServiceProviderUuidStringRequired

      The network service provider UUID.

    • networkServiceTypeStringRequired

      No description provided.

Endpoint

GET/zstack/v1/l3-networks/network-services/refs

/zstack/v1/l3-networks/network-services/refs

Operation ID

QueryNetworkServiceL3NetworkRef

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/l3-networks/network-services/refs' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "l3NetworkUuid": "fc5bd613a8fd45ed9b96ff5d99ae6717", "networkServiceProviderUuid": "f79573afadc44f4fb83aaf67eeb98cde", "networkServiceType": "PortForwarding" } ] }

Change History

This API has no change history records yet.

View all change history